## musescore 2.3+dfsg1

=== CMakeLists.txt ===
#=============================================================================
#  Mscore
#  Linux Music Score Editor
#
#  Copyright (C) 2002-2011 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

project(mscore)

#minimum tested, report if it works with older
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.7)

set (CI $ENV{CI})
if (CI)
    SET_PROPERTY(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
    SET_PROPERTY(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
endif (CI)

 # Libraries linked via full path no longer produce linker search paths.
cmake_policy(SET CMP0003 NEW)

# Don't to link executables to qtmain.lib automatically when they link to the QtCore IMPORTED target
if(POLICY CMP0020)
      cmake_policy(SET CMP0020 OLD)
endif(POLICY CMP0020)

# ignore MACOSX_RPATH is not specified for awlplugin
if(POLICY CMP0042)
      cmake_policy(SET CMP0042 OLD)
endif(POLICY CMP0042)

 # Issue no warning non-existent target argument to get_targer_property() and set the result variable to a -NOTFOUND value rather than issuing a FATAL_ERROR
if(POLICY CMP0045)
      cmake_policy(SET CMP0045 OLD)
endif(POLICY CMP0045)

# silently ignore non-existent dependencies (mops1, mops2)
if(POLICY CMP0046)
      cmake_policy(SET CMP0046 OLD)
endif(POLICY CMP0046)

 # Honor the legacy behavior for variable references and escape sequences
if(POLICY CMP0053)
      cmake_policy(SET CMP0053 OLD)
endif(POLICY CMP0053)

# RPATH settings on macOS do not affect install_name
if(POLICY CMP0068)
      cmake_policy(SET CMP0068 NEW)
endif(POLICY CMP0068)

# Don't process generated source files with AUTOMOC
if(POLICY CMP0071)
      cmake_policy(SET CMP0071 OLD)
endif(POLICY CMP0071)

include (${PROJECT_SOURCE_DIR}/build/ECMQt4To5Porting.cmake)
include (${PROJECT_SOURCE_DIR}/build/FindQt5Transitional.cmake)

#include modules
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/build" ${CMAKE_MODULE_PATH})
include (UsePkgConfig1) #defines MACRO(PKGCONFIG1 _package _minVersion _include_DIR _link_DIR _link_FLAGS _cflags)
include (TargetDoc)
include (FindPulseAudio)
include (GetCompilerVersion)
include (CreatePrecompiledHeader)

# for debugging the make system uncomment next line:
# set(CMAKE_VERBOSE_MAKEFILE ON)

set (CMAKE_AUTOMOC TRUE)

set(MSCORE_UNSTABLE  FALSE)          # mark as unstable

set(USE_SSE           TRUE)
set(SCRIPT_INTERFACE  TRUE)

# Disable components not supported on Windows
if (MINGW)
      set(WIN_NOT_AVAIL "not available on Windows")
      option(BUILD_PULSEAUDIO ${WIN_NOT_AVAIL} OFF)
      option(BUILD_ALSA ${WIN_NOT_AVAIL} OFF)
endif (MINGW)

# Disable components not supported on Mac
if (APPLE)
      set(MAC_NOT_AVAIL "not available on Mac")
      option(BUILD_PULSEAUDIO ${MAC_NOT_AVAIL} OFF)
      option(BUILD_ALSA ${MAC_NOT_AVAIL} OFF)
endif (APPLE)

# Disable components not supported on Linux/BSD
if (NOT APPLE AND NOT MINGW)
      set(NIX_NOT_AVAIL "Not available on Linux/BSD")
      #option(BUILD_PORTMIDI "PortMidi disabled on Linux. (It uses ALSA but it's better to use ALSA directly)" OFF)
endif (NOT APPLE AND NOT MINGW)

option(AEOLUS        "enable pipe organ synthesizer"      OFF)
option(ZERBERUS      "enable experimental sfz sampler"    ON)
option(OSC           "enable OSC remote control protocol" ON)
option(OMR           "enable PDF import"  OFF)                 # OMR - optical music recognition
# for installation see: http://ubuntuforums.org/showthread.php?t=1647350
option(OCR           "enable OCR, requires OMR" OFF)           # requires tesseract 3.0, needs work on mac/win
option(SOUNDFONT3    "ogg vorbis compressed fonts" ON)         # enable ogg vorbis compressed fonts, require ogg & vorbis
option(HAS_AUDIOFILE "enable audio export" ON)                 # requires libsndfile
option(USE_SYSTEM_QTSINGLEAPPLICATION "Use system QtSingleApplication" OFF)
option(USE_SYSTEM_FREETYPE "Use system FreeType" OFF)          # requires freetype >= 2.5.2, does not work on win
option(BUILD_LAME    "enable mp3 export" ON)                   # requires libmp3lame (non-free), call CMake with -DBUILD_LAME="OFF" to disable
option(DOWNLOAD_SOUNDFONT "Download the latest soundfont version as part of the build process" ON)

SET(JACK_LONGNAME "jack (jack audio connection kit)")
SET(JACK_MIN_VERSION "0.98.0")
option(BUILD_JACK    "Build with support for ${JACK_LONGNAME} audio backend. jack >= ${JACK_MIN_VERSION} will be needed." ON)
option(BUILD_PULSEAUDIO "Build with support for Pulseaudio audio backend." ON)
option(BUILD_ALSA "Build with support for ALSA audio backend." ON)
option(BUILD_PORTAUDIO "Build with support for Portaudio audio backend." ON)
option(BUILD_PORTMIDI "Build with support for PortAudio's MIDI features." ${BUILD_PORTAUDIO}) # PortAudio required
option(BUILD_WEBKIT "Built in webkit support" ON)
option(BUILD_PCH "Build using precompiled headers." OFF)
option(BUILD_FOR_WINSTORE "Build for the Windows Store." OFF)

if (APPLE)
      set (CMAKE_CXX_COMPILER   clang++)
      set (CMAKE_CXX_COMPILER_ID "Clang")
      # Currently, just 'ppc', 'i386' or 'ppc i386' are useful architectures,
      # because the Flash-Player is not yet available as a 64-bit version.
      # Flash is required for displaying the videos of MuseScore-Connect.
      # See http://qt.gitorious.org/qt/pages/Qt470KnownIssues
      # Since 10.6+ only runs on intel, just set it to i386.
      set(CMAKE_OSX_ARCHITECTURES x86_64)

      # Adjust and uncomment this variable, if you target a different version
      # of MacOSX.
      # set(CMAKE_OSX_SYSROOT /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.9.sdk)

      set(CMAKE_OSX_DEPLOYMENT_TARGET 10.7)      #min version required
      set(HAS_AUDIOFILE TRUE)            # requires libsndfile

      find_library(AudioToolboxFW        NAMES AudioToolbox)
      find_library(AudioUnitFW           NAMES AudioUnit)
      find_library(CoreAudioFW           NAMES CoreAudio)
      find_library(CoreMidiFW            NAMES CoreMIDI)
      find_library(SystemConfigurationFW NAMES SystemConfiguration)
      find_library(CoreServicesFW        NAMES CoreServices)
      find_library(AppKit                NAMES AppKit)
      set(OsxFrameworks ${AudioToolboxFW} ${AudioUnitFW} ${CoreAudioFW} ${CoreMidiFW} ${SystemConfigurationFW} ${CoreServicesFW} ${AppKit})
endif (APPLE)

#
#     Check for gcc compiler >= 4.8
#
if ("${CMAKE_CXX_COMPILER_ID}" MATCHES "GNU")
      if (${CMAKE_CXX_COMPILER_MAJOR} LESS 4
        OR ((${CMAKE_CXX_COMPILER_MAJOR} EQUAL 4) AND (${CMAKE_CXX_COMPILER_MINOR} LESS 8)))
            message(FATAL_ERROR "bad gcc compiler version " ${CMAKE_CXX_COMPILER_VERSION}
                  " >= 4.8 required")
      endif()
endif ("${CMAKE_CXX_COMPILER_ID}" MATCHES "GNU")

set(CMAKE_CXX_FLAGS_DEBUG   "-g")
set(CMAKE_CXX_FLAGS_RELEASE "-O2 -DNDEBUG -DQT_NO_DEBUG")

if (APPLE)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fPIC -stdlib=libc++ -Wno-inconsistent-missing-override")
else (APPLE)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11")
   if (MINGW)
      # -mno-ms-bitfields see #22048
      set(CMAKE_CXX_FLAGS         "${CMAKE_CXX_FLAGS} -mno-ms-bitfields")
      set(CMAKE_EXE_LINKER_FLAGS "-Wl,--large-address-aware")
   else (MINGW)
      set(CMAKE_CXX_FLAGS         "${CMAKE_CXX_FLAGS} -fPIC")
      set(CMAKE_CXX_FLAGS_DEBUG   "${CMAKE_CXX_FLAGS_DEBUG} -fno-inline")
   endif (MINGW)
endif(APPLE)

set(CMAKE_INCLUDE_CURRENT_DIR TRUE)
set(CMAKE_BUILD_WITH_INSTALL_RPATH ON) # Call CMake with option -DCMAKE_SKIP_RPATH to not set RPATH (Debian packaging requirement)
set(CMAKE_SKIP_RULE_DEPENDENCY TRUE)

# The Mscore version number.
SET(MUSESCORE_NAME "MuseScore")
SET(MUSESCORE_VERSION_MAJOR  "2")
SET(MUSESCORE_VERSION_MINOR  "3")
SET(MUSESCORE_VERSION_PATCH  "0")
SET(MUSESCORE_VERSION       "${MUSESCORE_VERSION_MAJOR}.${MUSESCORE_VERSION_MINOR}")
SET(MUSESCORE_NAME_VERSION "${MUSESCORE_NAME} ${MUSESCORE_VERSION_MAJOR}")
#
# version schema x.x.x is hardcoded in source
#
SET(MUSESCORE_VERSION_FULL  "${MUSESCORE_VERSION}.${MUSESCORE_VERSION_PATCH}")

if (MUSESCORE_LABEL)
  SET (MUSESCORE_NAME_VERSION "${MUSESCORE_NAME_VERSION} ${MUSESCORE_LABEL}")
endif (MUSESCORE_LABEL)

if (MSCORE_UNSTABLE)
  SET (MUSESCORE_NAME_VERSION "${MUSESCORE_NAME_VERSION} (${MUSESCORE_VERSION_FULL} unstable)")
endif (MSCORE_UNSTABLE)

if (MINGW OR APPLE)
  if(MINGW)
      SET(Mscore_INSTALL_NAME  "")
      SET(Mscore_SHARE_NAME    "./")
  else(MINGW)
      SET(Mscore_INSTALL_NAME  "Contents/Resources/")
      SET(Mscore_SHARE_NAME    "mscore.app/")
  endif(MINGW)
else (MINGW OR APPLE)
      SET(Mscore_INSTALL_NAME  "mscore${MSCORE_INSTALL_SUFFIX}-${MUSESCORE_VERSION}/")
      SET(Mscore_SHARE_NAME    "share/")
endif (MINGW OR APPLE)

# Download MuseScore SoundFont
if (DOWNLOAD_SOUNDFONT)
  set (SF_VERSION_REMOTE_FILE ${PROJECT_BINARY_DIR}/VERSION)
  set (SF_VERSION_LOCAL_FILE ${PROJECT_SOURCE_DIR}/share/sound/VERSION)
  set (DOWNLOAD_URL_ROOT "http://ftp.osuosl.org/pub/musescore/soundfont/MuseScore_General")
  set (SOUND_DIRECTORY ${PROJECT_SOURCE_DIR}/share/sound)

  file(DOWNLOAD ${DOWNLOAD_URL_ROOT}/VERSION ${SF_VERSION_REMOTE_FILE} STATUS SF_VERSION_DL_STATUS_LIST)
  list(GET SF_VERSION_DL_STATUS_LIST 0 SF_VERSION_DL_STATUS)

  if(EXISTS ${SF_VERSION_REMOTE_FILE} AND SF_VERSION_DL_STATUS EQUAL 0)
    file (STRINGS ${SF_VERSION_REMOTE_FILE} SF_VERSION_REMOTE)

    set(SF_VERSION_LOCAL "0.0")
    if (EXISTS ${SF_VERSION_LOCAL_FILE})
      file (STRINGS ${SF_VERSION_LOCAL_FILE} SF_VERSION_LOCAL)
    endif ()

    string(COMPARE LESS ${SF_VERSION_LOCAL} ${SF_VERSION_REMOTE} DO_DOWNLOAD)
    if (DO_DOWNLOAD)
      message("Downloading version ${SF_VERSION_REMOTE} of the MuseScore SoundFont. Version is outdated ${SF_VERSION_LOCAL}.")
      # delete soundfont and download new version
      ## TODO check STATUS of downloads
      file (REMOVE ${SOUND_DIRECTORY}/MuseScore_General.sf3
                   ${SOUND_DIRECTORY}/MuseScore_General-License.md
                   ${SOUND_DIRECTORY}/MuseScore_General-changelog.txt)
      file(DOWNLOAD ${DOWNLOAD_URL_ROOT}/MuseScore_General.sf3 ${SOUND_DIRECTORY}/MuseScore_General.sf3 SHOW_PROGRESS STATUS SF_DL_STATUS)
      list(GET SF_DL_STATUS 0 HTTP_STATUS)
      if (NOT HTTP_STATUS EQUAL 0)
        list(GET SF_DL_STATUS 1 HTTP_STATUS_TEXT)
        message(FATAL_ERROR "Cannot download new soundfont. Error: ${HTTP_STATUS_TEXT}")
      endif()
      file(DOWNLOAD ${DOWNLOAD_URL_ROOT}/MuseScore_General-License.md ${SOUND_DIRECTORY}/MuseScore_General-License.md)
      file(DOWNLOAD ${DOWNLOAD_URL_ROOT}/MuseScore_General-changelog.txt ${SOUND_DIRECTORY}/MuseScore_General-changelog.txt)
      # replace VERSION file (in any case, delete VERSION file)
      file (COPY ${SF_VERSION_REMOTE_FILE} DESTINATION ${SOUND_DIRECTORY})
      file (REMOVE ${SF_VERSION_REMOTE_FILE})
    else(DO_DOWNLOAD)
      message("MuseScore SoundFont is up to date.")
    endif(DO_DOWNLOAD)
  endif()
endif(DOWNLOAD_SOUNDFONT)

##
##  look for Qt5
SET(QT_MIN_VERSION    "5.4.0")

SET(QT_USE_QTXML         TRUE)
SET(QT_USE_QTSVG         TRUE)
SET(QT_USE_QTNETWORK     TRUE)
SET(QT_USE_QTDESIGNER    TRUE)
IF (BUILD_WEBKIT)
  SET(QT_USE_QTWEBKIT    TRUE)
  SET(USE_WEBKIT 1)
ELSE (BUILD_WEBKIT)
  SET(QT_USE_QTWEBKIT    FALSE)
ENDIF (BUILD_WEBKIT)
SET(QT_USE_QTXMLPATTERNS TRUE)
SET(QT_USE_QTHELP        TRUE)

=== Makefile ===
#=============================================================================
#  Mscore
#  Linux Music Score Editor
#  $Id:$
#
#  Copyright (C) 2002-2012 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

REVISION  := `cat mscore/revision.h`
CPUS      := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || getconf NPROCESSORS_ONLN 2>/dev/null || echo 1)

PREFIX    = "/usr/local"
#VERSION   = "2.3b-${REVISION}"
VERSION = 2.3

# Override SUFFIX and LABEL when multiple versions are installed to avoid conflicts.
SUFFIX=""# E.g.: SUFFIX="dev" --> "mscore" becomes "mscoredev"
LABEL=""# E.g.: LABEL="Development Build" --> "MuseScore 2" becomes "MuseScore 2 Development Build"

BUILD_LAME="ON" # Non-free, required for MP3 support. Override with "OFF" to disable.
BUILD_PULSEAUDIO="ON" # Override with "OFF" to disable.
BUILD_JACK="ON"       # Override with "OFF" to disable.
BUILD_PORTAUDIO="ON"  # Override with "OFF" to disable.
BUILD_WEBKIT="ON"     # Override with "OFF" to disable.
USE_SYSTEM_FREETYPE="OFF" # Override with "ON" to enable. Requires freetype >= 2.5.2.
DOWNLOAD_SOUNDFONT="ON"   # Override with "OFF" to disable latest soundfont download.

UPDATE_CACHE="TRUE"# Override if building a DEB or RPM, or when installing to a non-standard location.
NO_RPATH="FALSE"# Package maintainers may want to override this (e.g. Debian)

#
# change path to include your Qt5 installation
#
BINPATH      = ${PATH}

release:
	if test ! -d build.release; then mkdir build.release; fi; \
      cd build.release;                          \
      export PATH=${BINPATH};                    \
      cmake -DCMAKE_BUILD_TYPE=RELEASE	       \
  	  -DCMAKE_TOOLCHAIN_FILE="${CMAKE_TOOLCHAIN_FILE}"       \
  	  -DCMAKE_INSTALL_PREFIX="${PREFIX}"       \
  	  -DMSCORE_INSTALL_SUFFIX="${SUFFIX}"      \
  	  -DMUSESCORE_LABEL="${LABEL}"             \
  	  -DBUILD_LAME="${BUILD_LAME}"             \
  	  -DBUILD_PULSEAUDIO="${BUILD_PULSEAUDIO}" \
  	  -DBUILD_JACK="${BUILD_JACK}"             \
   	  -DBUILD_PORTAUDIO="${BUILD_PORTAUDIO}"   \
   	  -DBUILD_WEBKIT="${BUILD_WEBKIT}"         \
   	  -DUSE_SYSTEM_FREETYPE="${USE_SYSTEM_FREETYPE}" \
   	  -DDOWNLOAD_SOUNDFONT="${DOWNLOAD_SOUNDFONT}"   \
  	  -DCMAKE_SKIP_RPATH="${NO_RPATH}"     ..; \
      make lrelease;                             \
      make -j ${CPUS};                           \


#freetype:
#	cd build.debug; \
#      mkdir freetype; \
#      cd freetype; \
#      cmake ../../thirdparty/freetype; \
#      make -j ${CPUS}

debug:
	if test ! -d build.debug; then mkdir build.debug; fi; \
      cd build.debug;                                       \
      export PATH=${BINPATH};                               \
      cmake -DCMAKE_BUILD_TYPE=DEBUG	                    \
  	  -DCMAKE_INSTALL_PREFIX="${PREFIX}"                  \
  	  -DMSCORE_INSTALL_SUFFIX="${SUFFIX}"                 \
  	  -DMUSESCORE_LABEL="${LABEL}"                        \
  	  -DBUILD_LAME="${BUILD_LAME}"                        \
  	  -DBUILD_PULSEAUDIO="${BUILD_PULSEAUDIO}"            \
  	  -DBUILD_JACK="${BUILD_JACK}"                        \
   	  -DBUILD_PORTAUDIO="${BUILD_PORTAUDIO}"              \
   	  -DBUILD_WEBKIT="${BUILD_WEBKIT}"                    \
   	  -DUSE_SYSTEM_FREETYPE="${USE_SYSTEM_FREETYPE}"      \
   	  -DDOWNLOAD_SOUNDFONT="${DOWNLOAD_SOUNDFONT}"        \
  	  -DCMAKE_SKIP_RPATH="${NO_RPATH}"     ..;            \
      make lrelease;                                        \
      make -j ${CPUS};                                      \

#
#  win32
#     cross compile windows package
#     NOTE: there are some hardcoded path in CMake - files
#           will probably only work on my setup (ws)
#
win32:
	if test ! -d win32build;                         \
         then                                          \
            mkdir win32build;                          \
      	if test ! -d win32install;                 \
               then                                    \
                  mkdir win32install;                  \
            fi;                                        \
            cd win32build;                             \
            cmake -DCMAKE_TOOLCHAIN_FILE=../build/mingw32.cmake -DCMAKE_INSTALL_PREFIX=../win32install -DCMAKE_BUILD_TYPE=DEBUG  ..; \
            make lrelease;                             \
            make -j ${CPUS};                           \
            make install;                              \
            make package;                              \
         else                                          \
            echo "build directory win32build does alread exist, please remove first"; \
         fi

#
# clean out of source build
#

clean:
	-rm -rf build.debug build.release
	-rm -rf win32build win32install

revision:
	@git rev-parse --short=7 HEAD > mscore/revision.h

version:
	@echo ${VERSION}

install: release
	cd build.release \
	&& make install/strip \
	&& if [ ${UPDATE_CACHE} = "TRUE" ]; then \
	     update-mime-database "${PREFIX}/share/mime"; \
	     gtk-update-icon-cache -f -t "${PREFIX}/share/icons/hicolor"; \
	fi

# Portable target: build AppDir ready to be turned into a portable AppImage.
# Creating the AppImage requires https://github.com/probonopd/AppImageKit
# Portable target requires both build and runtime dependencies,
# if Qt is in a non-standard location then be sure to add its
# "bin" folder to PATH and "lib" folder to LD_LIBRARY_PATH. i.e.:
#   $  export $PATH="/path/to/Qt/bin:${PATH}"
#   $  export $LD_LIBRARY_PATH="/path/to/Qt/lib:${LD_LIBRARY_PATH}"
#   $  make portable
# PREFIX sets install location *and* the name of the resulting AppDir.
# Version is appended to PREFIX in CMakeLists.txt if MSCORE_UNSTABLE=FALSE.
portable: PREFIX=MuseScore
portable: SUFFIX=-portable
portable: LABEL=Portable AppImage
portable: NO_RPATH=TRUE
portable: UPDATE_CACHE=FALSE
portable: install
	build_dir="$$(pwd)/build.release" && cd "$$(cat $${build_dir}/PREFIX.txt)" \
	&& [ -L usr ] || ln -s . usr && mscore="mscore${SUFFIX}" \
	&& dsktp="$${mscore}.desktop" icon="$${mscore}.svg" mani="install_manifest.txt" \
	&& cp "share/applications/$${dsktp}" "$${dsktp}" \
	&& cp "share/icons/hicolor/scalable/apps/$${icon}" "$${icon}" \
	&& <"$${build_dir}/$${mani}" >"$${mani}" \
	   sed -rn 's/.*(share\/)(man|mime|icons|applications)(.*)/\1\2\3/p' \
	&& "$${build_dir}/../build/Linux+BSD/portable/copy-libs" . \
	;  ./AppRun check-depends | tee "$${build_dir}/dependencies.txt"

installdebug: debug
	cd build.debug \
	&& make install \
	&& if [ ${UPDATE_CACHE} = "TRUE" ]; then \
	     update-mime-database "${PREFIX}/share/mime"; \
	     gtk-update-icon-cache -f -t "${PREFIX}/share/icons/hicolor"; \
	fi

uninstall:
	cd build.release \
	&& xargs rm < install_manifest.txt \
	&& if [ ${UPDATE_CACHE} = "TRUE" ]; then \
	     update-mime-database "${PREFIX}/share/mime"; \
	     gtk-update-icon-cache -f -t "${PREFIX}/share/icons/hicolor"; \
	   fi \
	&& xargs ../build/rm-empty-dirs < install_manifest.txt \
	&& rm install_manifest.txt

uninstalldebug:
	cd build.debug \
	&& xargs rm < install_manifest.txt \
	&& if [ ${UPDATE_CACHE} = "TRUE" ]; then \
	     update-mime-database "${PREFIX}/share/mime"; \
	     gtk-update-icon-cache -f -t "${PREFIX}/share/icons/hicolor"; \
	   fi \
	&& xargs ../build/rm-empty-dirs < install_manifest.txt \
	&& rm install_manifest.txt

#
#  linux
#     linux binary package build
#
unix:
	if test ! -d linux;                          \
         then                                      \
            mkdir linux;                           \
            cd linux; \
            cmake -DCMAKE_BUILD_TYPE=RELEASE  ../mscore; \
            make -j${CPUS} -f Makefile;            \
            make package;                          \
         else                                      \
            echo "build directory linux does alread exist, please remove first";  \
         fi

zip:
	zip -q -r MuseScore-${VERSION}.zip * -x .git\* -x vtest/html\*

doxy:
	doxygen build.debug/Doxyfile
doxylib:
	doxygen build.debug/Doxyfile-LibMscore

=== zerberus/CMakeLists.txt ===
#=============================================================================
#  MuseScore
#  Music Composition & Notation
#
#  Copyright (C) 2013 Werner Schweer
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2
#  as published by the Free Software Foundation and appearing in
#  the file LICENCE.GPL
#=============================================================================

include (${PROJECT_SOURCE_DIR}/build/gch.cmake)

QT5_WRAP_UI (zerberusUi zerberus_gui.ui)

add_library (zerberus STATIC
      ${zerberusUi}
      channel.cpp
      filter.cpp
      instrument.cpp
      sfz.cpp
      voice.cpp
      zerberus.cpp
      zone.cpp
      zerberusgui.cpp
      ${PROJECT_BINARY_DIR}/all.h
      ${PCH}
      ${INCS}
      )

set_target_properties (
      zerberus
      PROPERTIES
         COMPILE_FLAGS "${PCH_INCLUDE} -g -Wall -Wextra -Winvalid-pch"
      )

xcode_pch(zerberus all)

ADD_DEPENDENCIES(zerberus mops1)
ADD_DEPENDENCIES(zerberus mops2)

=== debian/changelog ===
musescore (2.3+dfsg1-1) unstable; urgency=medium

  * Upload to unstable again
  * New upstream release

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 01 Jul 2018 22:10:51 +0200

musescore (2.3~pre20180620+dfsg1-2) experimental; urgency=medium

  * Update with a handful of upstream commits from the 2.3rc branch
    to unbreak builds on ARM/PowerPC/S390x (unsigned char issue)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 22 Jun 2018 15:18:46 +0200

musescore (2.3~pre20180620+dfsg1-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream release candidate (corresponds to 2.2.10 as 2.3rc)
  * Update debian/copyright accordingly
  * Drop patches applied, or initially backported from, upstream
  * Disable upstream’s update checker

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 20 Jun 2018 20:37:39 +0200

musescore (2.2.1+dfsg1-5) unstable; urgency=high

  * If DEB_BUILD_OPTIONS contains optdbg build with -Og
  * debian/patches/debian-898757.patch: new (Closes: #898757)
  * Cherry-pick next 2.3 branch fixes

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 19 May 2018 17:40:45 +0200

=== debian/control ===
Source: musescore
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Toby Smithe <tsmithe@ubuntu.com>,
           Thorsten Glaser <tg@mirbsd.de>,
           Tiago Bortoletto Vaz <tiago@debian.org>,
           Dr. Tobias Quathamer <toddy@debian.org>
Build-Depends: cmake,
               debhelper (>= 11~),
               g++ (>= 4:4.8),
               libasound2-dev,
               libfreetype6-dev (>= 2.5.2),
               libjack-dev,
               libmp3lame-dev,
               libportmidi-dev [linux-any],
               libpulse-dev,
               libqt5opengl5-dev,
               libqt5svg5-dev,
               libqt5webkit5-dev,
               libqt5xmlpatterns5-dev,
               libsndfile1-dev (>= 1.0.25),
               portaudio19-dev,
               qtbase5-dev,
               qtdeclarative5-dev (>= 5.4),
               qtscript5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               zlib1g-dev
Standards-Version: 4.1.4
Homepage: https://musescore.org/en
Vcs-Git: https://salsa.debian.org/multimedia-team/musescore.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/musescore

Package: musescore
Architecture: any
Multi-Arch: foreign
Provides: mscore
Replaces: mscore (<< 0.9.6+dfsg-1)
Breaks: mscore (<< 0.9.6+dfsg-1)
Depends: desktop-file-utils,
         libqt5sql5-sqlite,
         musescore-common (>> 2.3~),
         musescore-common (<< 2.4~),
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         shared-mime-info,
         xdg-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libmp3lame0, pulseaudio-utils
Suggests: fluid-soundfont-gm, timgm6mb-soundfont
Description: Free music composition and notation software
 MuseScore is a free WYSIWYG music score typesetter for Qt
 (Linux, Windows, Mac OSX), licenced under GNU GPL. Features:
  - WYSIWYG, notes are entered on a “virtual note sheet”
  - automatic part extraction and transposition
  - PDF export of rendered sheet music
  - near professional-quality layout engine
  - unlimited score length
  - albums combining multiple scores
  - unlimited number of staves per system
  - up to four independent voices per stave
  - easy and fast note entry with mouse, (PC) keyboard or MIDI,
    including an on-screen virtual (piano) keyboard
  - integrated sequencer and FluidSynth software synthesizer
  - support for SFZ soundfonts in addition to SF2/SF3
  - import and export of MusicXML and standard MIDI files (SMF)
  - export of WAV, OGG Vorbis, MP3 files
  - chord symbols
  - swing and shuffle playback; advanced loops and repeats
  - features for old music as well as “world music”
  - support for user-installable extensions such as the
    upstream-provided MuseScore Drumline extension
  - active development team and community
  - and much more…
 .
 This package contains the main MuseScore application, including
 icons, desktop entries, file associations, manual page, etc.

Package: musescore-common
Architecture: all
Multi-Arch: foreign
Depends: musescore-general-soundfont | fluidr3mono-gm-soundfont (>= 2.315-4~),
 ${misc:Depends}
Provides: mscore-common
Replaces: mscore-common (<< 0.9.6+dfsg-1)
Breaks: mscore-common (<< 0.9.6+dfsg-1)
Description: Free music composition and notation software (common files)
 MuseScore is a free WYSIWYG music score typesetter for Qt
 (Linux, Windows, Mac OSX), licenced under GNU GPL. Features:
  - WYSIWYG, notes are entered on a “virtual note sheet”
  - automatic part extraction and transposition
  - PDF export of rendered sheet music
  - near professional-quality layout engine
  - unlimited score length
  - albums combining multiple scores
  - unlimited number of staves per system
  - up to four independent voices per stave
  - easy and fast note entry with mouse, (PC) keyboard or MIDI,
    including an on-screen virtual (piano) keyboard
  - integrated sequencer and FluidSynth software synthesizer
  - support for SFZ soundfonts in addition to SF2/SF3
  - import and export of MusicXML and standard MIDI files (SMF)
  - export of WAV, OGG Vorbis, MP3 files
  - chord symbols
  - swing and shuffle playback; advanced loops and repeats
  - features for old music as well as “world music”
  - support for user-installable extensions such as the
    upstream-provided MuseScore Drumline extension
  - active development team and community
  - and much more…
 .
 This package provides some files used by MuseScore, including demo
 scores, styles, templates, localisations, and some plugins. In
 contrast to earlier versions, no sound font is provided by default,
 but the Depends ensure a suitable one is installed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# defined for most of the code anyway; doing this here helps the PCH
OUR_CPPFLAGS := -DQT_NO_DEBUG
# disable phoning home
OUR_CPPFLAGS += -DMSCORE_NO_UPDATE_CHECKER

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export DEB_CPPFLAGS_MAINT_APPEND := ${OUR_CPPFLAGS}

# better debugging if requested
ifneq (,$(findstring optdbg,${DEB_BUILD_OPTIONS}))
export DEB_CFLAGS_MAINT_APPEND := -Og
export DEB_CXXFLAGS_MAINT_APPEND := -Og
endif

DEB_HOST_ARCH_OS?=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

%:
	dh $@ --buildsystem=cmake

CMAKE_DEFS:=	-DCMAKE_SKIP_RPATH=ON
CMAKE_DEFS+=	-DDOWNLOAD_SOUNDFONT=OFF
CMAKE_DEFS+=	-DUSE_SYSTEM_FREETYPE=ON \
		-DFREETYPE_INCLUDE_DIRS=/usr/include/freetype2/

ifneq (linux,${DEB_HOST_ARCH_OS})
CMAKE_DEFS+=	-DBUILD_PORTMIDI=OFF
endif

override_dh_auto_configure:
	dh_auto_configure -- ${CMAKE_DEFS}

override_dh_auto_build:
	dh_auto_build -- lrelease all

override_dh_installchangelogs-arch:
	dh_installchangelogs -pmusescore debian/upstream/changelog
	dh_installchangelogs --remaining-packages

override_dh_install-indep:
	# move stuff to packages
	dh_install
	cd debian/musescore-common/usr/share && \
	    rm -f mscore && ln -s mscore-* mscore
	# make system-wide soundfonts available
	mkdir -p debian/musescore-common/usr/share/mscore/sound
	ln -sf ../../sounds/sf2 ../../sounds/sf3 ../../sounds/sfz \
	    debian/musescore-common/usr/share/mscore/sound/

.PHONY: get-orig-source
## Usage: debian/rules get-orig-source
## Based on: http://wiki.debian.org/onlyjob/get-orig-source
get-orig-source: PKG_DIR:=$(abspath $(dir $(MAKEFILE_LIST)))
get-orig-source:
	# Simply call uscan (changes for DFSG done in debian/watch and debian/repack)
	uscan --noconf --verbose --destdir=$(CURDIR) \
	  --check-dirname-level=0 --force-download $(PKG_DIR)

=== debian/watch ===
# debian/watch - check for a new upstream release and fetch it. See USCAN(1).
# The script 'debian/repack' is called to perform changes for DFSG compliance.
version=4
opts=\
uversionmangle=s/%25/~/,\
dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg1,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/MuseScore-$1\.tar\.gz/ \
  https://github.com/musescore/MuseScore/tags .*/v?([0-9](?:[0-9.]*(?:%25pre)?[0-9]+)?)\.tar\.gz \
debian debian/repack

## musescore 2.3.1+dfsg1

=== debian/changelog ===
musescore (2.3.1+dfsg1-1build1) cosmic; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 18 Jul 2018 03:21:22 -0500

musescore (2.3.1+dfsg1-1) unstable; urgency=high

  * New upstream bugfix release
  * Document upstream tag v2.3 moving
  * Restructure patches
  * Use GNU make parallel build output synchronisation,
    should fix most, if not all, blhc issues
  * This should build reproducibly when #894476 will become fixed
  * Policy 4.1.5:
    - introduce R³ = no

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 08 Jul 2018 01:08:57 +0200

=== debian/control ===
--- 
+++ 
@@ -27,8 +27,9 @@
                qttools5-dev,
                qttools5-dev-tools,
                zlib1g-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Homepage: https://musescore.org/en
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/musescore.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/musescore

## musescore 2.3.2+dfsg1

=== debian/changelog ===
musescore (2.3.2+dfsg1-2) unstable; urgency=low

  * Policy 4.2.0.0
    - honour “terse” build option; make debhelper more verbose
    - upstream release notes are renamed from changelog to NEWS
  * d/patches/save-locale-dependent-preferences.diff: new
  * Policy 4.2.1.1

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 09 Sep 2018 21:31:36 +0200

musescore (2.3.2+dfsg1-1) unstable; urgency=high

  * Remove unnecessary get-orig-source target
  * New upstream bugfix release
  * Stop installing an unversioned /usr/share/mscore symlink:
    the program does not use it; without, we can coinstall a dev version
  * Clean up some unnecessary stuff in debian/ packaging
  * Install NEWS.Debian and the upstream changelog into the
    musescore-common package only, to save space and make those
    more widely available (musescore Depends musescore-common)
  * Let musescore-common be the first package in debian/control
  * Update package description with much input from upstream and lintian

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 31 Jul 2018 20:12:48 +0200

=== debian/control ===
Source: musescore
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Toby Smithe <tsmithe@ubuntu.com>,
           Thorsten Glaser <tg@mirbsd.de>,
           Tiago Bortoletto Vaz <tiago@debian.org>,
           Dr. Tobias Quathamer <toddy@debian.org>
Build-Depends: cmake,
               debhelper (>= 11~),
               g++ (>= 4:4.8),
               libasound2-dev,
               libfreetype6-dev (>= 2.5.2),
               libjack-dev,
               libmp3lame-dev,
               libportmidi-dev [linux-any],
               libpulse-dev,
               libqt5opengl5-dev,
               libqt5svg5-dev,
               libqt5webkit5-dev,
               libqt5xmlpatterns5-dev,
               libsndfile1-dev (>= 1.0.25),
               portaudio19-dev,
               qtbase5-dev,
               qtdeclarative5-dev (>= 5.4),
               qtscript5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               zlib1g-dev
Standards-Version: 4.2.1
Homepage: https://musescore.org/en
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/musescore.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/musescore

Package: musescore-common
Architecture: all
Multi-Arch: foreign
Depends: musescore-general-soundfont | fluidr3mono-gm-soundfont (>= 2.315-4~),
 ${misc:Depends}
Provides: mscore-common
Replaces: mscore-common (<< 0.9.6+dfsg-1)
Breaks: mscore-common (<< 0.9.6+dfsg-1)
Description: MuseScore notation software shared files
 Demonstration scores and templates, styles, localisations, some
 plugins for MuseScore, the Open Source (GNU GPL) cross-platform
 multi-lingual music notation software.
 .
 In contrast to earlier versions, no sound font is provided by
 default, but the Depends ensure a suitable one is installed,
 normally the compact, full orchestral and band sound, one that
 is shipped with MuseScore from version 2.2 onwards, or its more
 limited 2.1 counterpart fluidr3mono-gm-soundfont.

Package: musescore
Architecture: any
Multi-Arch: foreign
Provides: mscore
Replaces: mscore (<< 0.9.6+dfsg-1)
Breaks: mscore (<< 0.9.6+dfsg-1)
Depends: desktop-file-utils,
         libqt5sql5-sqlite,
         musescore-common (>> 2.3~),
         musescore-common (<< 2.4~),
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         shared-mime-info,
         xdg-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libmp3lame0, pulseaudio-utils
Suggests: fluid-soundfont-gm, timgm6mb-soundfont
Description: Free cross-platform multi-lingual music notation software
 MuseScore is an Open Source (GNU GPL) music notation software that runs
 on all platforms supported by Qt5 (GNU/Linux, MacOS X, Windows), and is
 available in over forty different languages. It features an easy to use
 WYSIWYG editor with audio score playback for results that look and sound
 beautiful, rivaling commercial offerings like Finale and Sibelius.
 .
 Create, play back and print sheet music for free. Features include:
  - easy-to-use and customisable interface
  - albums combining multiple scores
  - unlimited score length
  - unlimited number of staves per system
  - up to four independent voices per staff
  - score creation wizard and templates
  - easy and fast note entry with a (PC) keyboard, the mouse, including
    an on-screen virtual (piano) keyboard, or MIDI (step-time, real-time)
  - continuous view: focus on the content, scrolling by as an endless
    ribbon, undistracted by line breaks or page breaks; switch to page
    view to polish up for printing
  - automatic part extraction and transposition; advanced transposition:
    transpose a selected passage to any key, or by any interval — or
    even transpose diatonically within the same key
  - repeats, including segnos, codas, measure repeats, advanced repeats
  - dynamics, articulations and other expression markings
  - playback support for almost all notation elements
  - custom text markings
  - style rules that apply to the whole score at once
  - lyrics
  - chord symbols
  - Jazz notation, including lead sheets and slash notation
  - swing and shuffle playback
  - integrated sequencer and two software synthesisers (FluidSynth for
    SF2/SF3, Zerberus for SFZ), which also can use third-party soundfonts
  - mixer for instrument levels and effects
  - mixing and panning for individual parts
  - percussion notation
  - early music notation
  - cross-staff beaming
  - import of graphics
  - custom key signatures
  - additive time signatures
  - user-defined score styles
  - and much more…
 .
 Choir features:
  - powerful lyrics copy and paste tools
  - implode/explode: combine up to four voices on one staff,
    then separate to individual staves
  - hide empty vocal staves, such as in a piano intro
  - figured bass for historical notation
  - smart lyrics: unlimited verses, with notes and staves automatically
    spaced, and verse numbers automatically aligned
  - voice leading checker: download the Check Harmony Rules proofreading
    plugin to check for errors in your part writing, according to
    standard rules
  - part mixer: mute, solo, or change volume of staves to learn
    individual lines — settings even apply to MP3 export
 .
 Piano features:
  - support for solo + piano (add small staff with different instrument)
  - support for cadenzas (smaller notes and variable length measures)
  - complete notation: pedaling, fingering, cross-staff beaming — you
    name it; everything needed to write piano sheet music is here
 .
 Guitar features:
  - bends, fingerings, and other common guitar notations supported
  - add/remove linked staves any time; enter notes on either standard
    (pitched five-line) or TAB staff
  - percussion/drumset also included
  - templates include guitar, tablature, guitar+tablature, rock/pop band
  - complete tablature: multiple tab styles available — from note symbols
    outside the staff to upside-down strings — and linked standard/tab
    staff pairs
  - Guitar Pro import: MuseScore can now open files from Guitar Pro, so
    you can easily migrate over. Import filters are improving with every
    release; GP3, GP4, GP5, GP6, GTP, GPX are currently supported.
  - Fretboard diagrams: 21 default chords for every key, and a powerful
    editor to create your own — with barre, fret position, and any number
    of strings
  - beyond guitar: banjo, mandolin, ukulele, oud; custom string tunings;
    even historical lute tablature: MuseScore does them all.
 .
 Orchestral features:
  - templates for common instrumentations
  - custom linked parts (e.g. create choral score from orchestra+chorus):
    any change you make to the content of any part is immediately
    reflected in the full score — and vice versa
  - powerful style controls: edit the formatting of parts and score
    independently — or apply the same style to all parts with one click
  - one-click transposition: instantly switch between transposed and
    concert pitch: sounding pitches stay the same while the written notes
    change
 .
 Jazz features:
  - templates for Jazz Lead Sheet, Big Band and Jazz Combo
  - real “handwritten” Book-style jazz font for text and chord symbols
  - formatting tools include adding line breaks every X measures
  - instantly switch between transposed and concert pitch
  - intelligent chord symbol: chord names are automatically formatted
    when you finish typing — plus, they transpose with the notes
  - easy slashes: commands to fill bars with slashes — and to turn notes
    into rhythmic slashes, and even accent notation above the staff
 .
 Marching ensembles features (needs the MDL extension):
  - marching band, indoor percussion, front ensemble, drumline and drum
    corps (even G bugles); no setup or configuration — select a template,
    start writing
 .
 Band features:
  - diverse templates: concert band, brass band, marching band, battery
    and pit percussion — ready out-of-the-box (plus big band for jazz)
  - custom linked parts: you can even keep a drumline score linked to a
    full marching band score and to individual percussion parts
 .
 Most elements in MuseScore are laid out automatically on a “virtual note
 sheet”, with a near professional-quality layout engine, but can also be
 positioned manually, giving you total control of every score element’s
 position. The capabilities of MuseScore can be extended via plugins and
 extensions, and the growing repository on musescore.org contains many
 plugins submitted by users and an active development team.
 .
 MuseScore includes a set of sounds that reproduce common instruments (as
 defined by General MIDI) without taking up a lot of disk space or memory
 providing full orchestral and band sounds (with the Drumline extension
 installed this includes marching percussion). The general (non-Drumline)
 sound font is available as musescore-general-soundfont Debian package,
 if you wish to reuse it with other synthesisers.) You can also load any
 sound font you prefer for a wider variety of sounds or for more realism.
 .
 MuseScore can import and export MIDI and MusicXML files, and it can also
 import from Capella and several other programs. MuseScore can export to
 PDF, PNG, and other graphic formats, to WAV and other audio formats such
 as OGG Vorbis and MP3, or to GNU Lilypond for an alternative layout and
 print option.
 .
 MuseScore can upload scores to musescore.com, a score sharing site, and
 send scrolling sheet music videos to YouTube. In addition to the desktop
 software, you can rehearse “on the go” with MuseScore mobile apps (which
 do not support note entry, but many advanced playback functions). Note
 that all of these are commercial or otherwise non-free offers optionally
 integrated with, but not part of, the Free notation program. Scrolling
 video scores feature the notes highlighted in the score as they sound —
 and highlighted on a virtual piano keyboard below.

=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(findstring terse,${DEB_BUILD_OPTIONS}))
export DH_VERBOSE=1
export V=1
export VERBOSE=1
endif

# defined for most of the code anyway; doing this here helps the PCH
OUR_CPPFLAGS := -DQT_NO_DEBUG
# disable phoning home
OUR_CPPFLAGS += -DMSCORE_NO_UPDATE_CHECKER

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export DEB_CPPFLAGS_MAINT_APPEND := ${OUR_CPPFLAGS}

# better debugging if requested
ifneq (,$(findstring optdbg,${DEB_BUILD_OPTIONS}))
export DEB_CFLAGS_MAINT_APPEND := -Og
export DEB_CXXFLAGS_MAINT_APPEND := -Og
endif

DEB_HOST_ARCH_OS?=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

%:
	dh $@ --buildsystem=cmake

CMAKE_DEFS:=	-DCMAKE_SKIP_RPATH=ON
CMAKE_DEFS+=	-DDOWNLOAD_SOUNDFONT=OFF
CMAKE_DEFS+=	-DUSE_SYSTEM_FREETYPE=ON \
		-DFREETYPE_INCLUDE_DIRS=/usr/include/freetype2/

ifneq (linux,${DEB_HOST_ARCH_OS})
CMAKE_DEFS+=	-DBUILD_PORTMIDI=OFF
endif

override_dh_auto_configure:
	dh_auto_configure -- ${CMAKE_DEFS}

override_dh_auto_build:
	env GNUMAKEFLAGS="$$GNUMAKEFLAGS --output-sync" \
	    dh_auto_build -- lrelease all

override_dh_install-indep:
	# move stuff to packages
	dh_install
	# make system-wide soundfonts available
	cd debian/musescore-common/usr/share/mscore-* && \
	    mkdir -p sound && \
	    ln -sf ../../sounds/sf2 ../../sounds/sf3 ../../sounds/sfz sound/
